;::::::::::::::::::::::::::::::::::::::::::::C I T Y   S A N D B O X :::::::::::::::::::::::::::::::::::::::::::
;::::::::::::::::::::::::::::::::::::::::Code: Dr. Javier Sandoval Felix:::::::::::::::::::::::::::::::::::::::::
;::::::::::::::::::::::::::::::::::::::::Contact: jarquisol@gmail.com:::::::::::::::::::::::::::::::::::::::::::

extensions [rnd]
patches-own [
  potential
  new-potential
  interest
  urban?
slope]

globals [
  %Residential
  %Commercial
  %Industrial
  %Tourism
  %R-C
  %C-I
  %Equipment
  probability-list
  fitness
  threshold
]

to setup
  clear-all
  set threshold 4

  ifelse Restrictions?
  [ask patches [ set potential one-of [1 -1] ]
   set probability-list (list (list "Residential" Residential) (list "Commercial" Commercial) (list "Industrial" Industrial) (list "Tourism" Tourism) (list "H-C" Residential-Commercial) (list "C-I" Commercial-Industrial) (list "Equipment" Equipment))
   setup-patches
   set fitness ((max [slope] of patches) - (min [slope] of patches))]

  [ask patches [ set potential one-of [1 -1] ]
   set probability-list (list (list "Residential" Residential) (list "Commercial" Commercial) (list "Industrial" Industrial) (list "Tourism" Tourism) (list "H-C" Residential-Commercial) (list "C-I" Commercial-Industrial) (list "Equipment" Equipment))
 ]
  reset-ticks
end

to go
  estimate-%
  if (Residential + Commercial + Industrial + Tourism + Residential-Commercial + Commercial-Industrial + Equipment) != 100 [user-message "Suma de porcentajes de uso no es igual a 100%"
    stop]
  ask patches with [pcolor = white] [ask neighbors [set potential (potential + one-of [1 -1])]]
  ask patches [ set new-potential (potential + sum [potential] of neighbors4) / 5 + one-of [1 -1] ]
  ask patches [ set potential new-potential
                if potential > threshold and urban? = 0 and slope >= ((min [slope] of patches) + (fitness / 2))

                 [set interest first rnd:weighted-one-of-list probability-list last]
                   if interest = "Residential" and count patches in-radius Tolerance-radius with [interest = "Industrial" or interest = "C-I"] = 0
                        [set pcolor yellow
                         set urban? 1]

                   if interest = "Commercial" and (count patches in-radius Tolerance-radius with [interest = "Industrial"] = 0)
                        [set pcolor red
                         set urban? 1]

                   if interest = "Industrial" and (count patches in-radius Tolerance-radius with [interest = "Residential" or interest = "H-C" = 0 or interest = "Tourism" or interest = "Commercial"] = 0)
                        [set pcolor violet
                         set urban? 1]

                   if interest = "Tourism" and (count patches in-radius Tolerance-radius with [interest = "Industrial" or interest = "C-I" or interest = "Equipment"] = 0)
                        [set pcolor pink
                         set urban? 1]

                   if interest = "H-C" and (count patches in-radius Tolerance-radius with [interest = "Industrial" or interest = "C-I"] = 0)
                        [set pcolor orange
                         set urban? 1]

                   if interest = "C-I" and (count patches in-radius Tolerance-radius with [interest = "Residential" or interest = "Tourism" or interest = "H-C"] = 0)
                        [set pcolor brown
                         set urban? 1]

                   if interest = "Equipment" and (count patches in-radius Tolerance-radius with [interest = "Tourism"] = 0)
                        [set pcolor blue
                         set urban? 1]]
  tick
end

to Hab
    if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor yellow
          set urban? 1
          set interest "Residential"]]
  display
end

to Com
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor red
          set urban? 1
          set interest "Commercial"]]
  display
end

to Ind
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor violet
          set urban? 1
          set interest "Industrial"]]
  display
end

to Equi
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor blue
          set urban? 1
          set interest "Equipment"]]
end

to Tur
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor pink
          set urban? 1
          set interest "Tourism"]]
  display
end

to Hab-Com
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor orange
          set urban? 1
          set interest "H-C"]]
  display
end

to Com-Ind
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor brown
          set urban? 1
          set interest "C-I"]]
  display
end

to Road
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor white
          set urban? 1
          set interest 0]]
  display
end

to No-urb
  if mouse-down?
    [ask patch mouse-xcor mouse-ycor
        [ set pcolor gray
          set urban? 1]]
  display
end

to setup-patches
  ask patches
  [set slope ( random 15 )]
  repeat 70
  [diffuse slope 1]
  ask patches
  [set pcolor scale-color green slope 7 6]
end

to estimate-%
  if count patches with [pcolor = yellow] != 0 [set %Residential (count patches with [pcolor = yellow] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = red] != 0 [set %Commercial (count patches with [pcolor = red] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = violet] != 0 [set %Industrial (count patches with [pcolor = violet] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = pink] != 0 [set %Tourism (count patches with [pcolor = pink] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = orange] != 0 [set %R-C (count patches with [pcolor = orange] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = brown] != 0 [set %C-I (count patches with [pcolor = brown] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]
  if count patches with [pcolor = blue] != 0 [set %Equipment (count patches with [pcolor = blue] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])]

end
@#$#@#$#@
GRAPHICS-WINDOW
375
10
943
417
-1
-1
4.63
1
10
1
1
1
0
1
1
1
0
120
0
85
0
0
1
ticks
30.0

BUTTON
20
10
102
43
Setup
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
110
10
182
43
Grow
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
0

BUTTON
20
265
140
325
NIL
Com
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
200
140
256
Residential
Hab
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
330
140
390
NIL
Ind
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
395
140
455
NIL
Tur
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
460
140
516
Res-Com
Hab-Com
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
525
140
585
NIL
Com-Ind
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
590
140
650
NIL
Equi
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
135
140
191
Not developable
No-urb
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
20
100
140
133
Road
Road
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

MONITOR
296
215
371
260
% Res
(count patches with [pcolor = yellow] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
298
281
373
326
% Com
(count patches with [pcolor = red] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
296
345
371
390
% Ind
(count patches with [pcolor = violet] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
297
411
372
456
% Tou
(count patches with [pcolor = pink] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
296
475
371
520
% R-C
(count patches with [pcolor = orange] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
296
540
371
585
% C-I
(count patches with [pcolor = brown] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

MONITOR
296
604
371
649
% Equip
(count patches with [pcolor = blue] * 100) / (count patches with [pcolor = yellow or pcolor = red or pcolor = violet or pcolor = pink or pcolor = orange or pcolor = brown or pcolor = blue])
2
1
11

TEXTBOX
50
80
105
98
BRUSHES
11
0.0
1

INPUTBOX
146
201
291
261
Residential
55.0
1
0
Number

INPUTBOX
146
266
293
326
Commercial
10.0
1
0
Number

INPUTBOX
146
331
293
391
Industrial
5.0
1
0
Number

INPUTBOX
146
396
293
456
Tourism
5.0
1
0
Number

INPUTBOX
146
461
293
521
Residential-Commercial
10.0
1
0
Number

INPUTBOX
146
526
293
586
Commercial-Industrial
10.0
1
0
Number

INPUTBOX
146
590
293
650
Equipment
5.0
1
0
Number

TEXTBOX
148
168
418
195
----------% OF LAND USES-----------
11
0.0
1

SWITCH
190
10
332
43
Restrictions?
Restrictions?
1
1
-1000

SLIDER
190
45
333
78
Tolerance-radius
Tolerance-radius
0
5
2.0
1
1
NIL
HORIZONTAL

PLOT
378
420
943
650
Land use % over time
Time
%
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"Commercial" 1.0 0 -2674135 true "" "plot %Commercial"
"Residential" 1.0 0 -1184463 true "" "plot %Residential"
"Industrial" 1.0 0 -8630108 true "" "plot %Industrial"
"Equipment" 1.0 0 -13345367 true "" "plot %Equipment"
"Res-Com" 1.0 0 -955883 true "" "plot %R-C"
"Com-Ind" 1.0 0 -6459832 true "" "plot %C-I"
"Tourism" 1.0 0 -2064490 true "" "plot %Tourism"

TEXTBOX
186
186
251
204
Projected
11
0.0
1

TEXTBOX
320
186
345
204
Real
11
0.0
1

PLOT
950
420
1245
650
Land use surface over time
Time
Surface
0.0
10.0
0.0
10.0
true
false
"" ""
PENS
"Commercial" 1.0 0 -2674135 true "" "plot count patches with [pcolor = red]"
"Residential" 1.0 0 -1184463 true "" "plot count patches with [pcolor = yellow]"
"Industrial" 1.0 0 -8630108 true "" "plot count patches with [pcolor = violet]"
"Equipment" 1.0 0 -13345367 true "" "plot count patches with [pcolor = blue]"
"Res-Com" 1.0 0 -955883 true "" "plot count patches with [pcolor = orange]"
"Com-Ind" 1.0 0 -6459832 true "" "plot count patches with [pcolor = brown]"
"Tourism" 1.0 0 -2064490 true "" "plot count patches with [pcolor = pink]"

TEXTBOX
955
15
1140
195
COLOR CODE:\nResidential: yellow\nCommercial: red\nIndustrial: purple\nTourism: pink\nResidential-Commercial: orange\nCommercial-Industrial: Brown\nEquipmet: Blue
11
0.0
1

@#$#@#$#@
## WHAT IS IT?

This model grows land use patterns that emerge as a result of land-use compatibilities stablished in urban development plans, land topography, and street networks. It contains urban brushes to paint streets and land uses as a way to learn about urban pattern emergence through free experimentation.

## HOW IT WORKS

The model begins by representing the surface of a territory of finite dimension through a grid and without any urbanization. Each cell in this grid starts with a potential value of 1 or -1 assigned randomly and with the interest in developing one of 7 possible land uses that is also assigned at random. At each step, the model updates the potential value of each cell according to the potential values ​​of the neighboring cells and adjacent roads (roads increase the potential value of neighboring cells). If the new potential value passes a certain threshold, the cell becomes potentially developable. Next, the cell seeks that its interest in developing a land use is not incompatible with the surrounding land uses within a tolerance radius specified by the user. If it is not incompatible, the cell is urbanized with the intended land use. If not, the cell remains undeveloped and again its potential value is estimated successively in each generation of the model.

The following land uses are considered incompatible, so they must be at a distance equal to TOLERANCE-RADIUS to co-exist:

Residential and Industrial
Residential and Commercial-Industrial
Industrial and Tourism
Industrial and Residential-Commercial
Tourism and Commercial-Industrial
Tourism and Equipment
Residential-Commercial and Commercial-Industrial

## HOW TO USE IT

Position the RESTRICTIONS? switch  ON or OFF. If ON is chosen, the model will place natural restrictions on urbanization randomly over the territory. These can be interpreted as hills, bodies of water, protected natural areas, etc.

Select the tolerance radius of the land uses with the TOLERANCE-RADIUS slider. This is a distance after which the coexistence of two incompatible land uses is possible. The greater the value, the greater the distance between them so that they can coexist.

Assign % of projected land uses. Under the PROJECTED column, the planned percentages of each of the 7 land uses are entered. The total sum must be 100%.

(Optional) Paint roads and land use. Under the BRUSHES column, press the button for land use or road that you want to represent in the territory. While the active button is kept, hover the cursor with the left mouse button pressed on the territory to paint. When finished painting, deactivate the button before proceeding with the simulation.

Press the SETUP button. This will assign a random value of 1 or -1 to each of the cells.

Press the GROW button to start the simulation.

At any time during the simulation, the GROW button can be pressed to pause the simulation and paint land uses, roads or change the TOLERANCE-RADIUS value. Press again to resume the simulation.

## THINGS TO NOTICE

At the beginning of the simulation, groups of land uses are formed, where the accommodation of each use with the rest will depend on its compatibility and tolerance radius. If there are roads, these will attract land uses forming urban corridors along with them and at their intersections.

The actual behavior of the percentage of projected land uses varies according to the relationship between the amount of the percentage, compatibilities, and tolerance radius among all uses. This can be verified under the % OF LAND USES column, where PROJECTED vs. REAL percentage are compared, and in the % OF LAND USES OVER TIME chart.

The resulting land-use patterns may be similar to those found in real urban regions.

## THINGS TO TRY

Try the following options:

a) Start the simulation without roads. After clusters of urbanization are formed, pause the simulation and connect them with roads. Resume the simulation and observe how the land use pattern is modified by the attraction of the new roads. Pause the simulation again and connect the new clusters, and so on. Observe how road network and land-use patterns are formed as a result of this feedback process.


b) Draw land-use patterns before starting the simulation and observe how new urban growth adapts to it. Use land-use patterns of your neighborhood, city or region.

## EXTENDING THE MODEL

The model can be extended including a self-regulation process, in which the growth of land uses beyond its projected growth is not allowed.

## CREDITS AND REFERENCES

The simulation takes its growth algorithm from a model called "Structure from randomness 2" found in the Netlogo model library. This model in turn is based on another model found in the book "Cities and Complexity" by Michael Batty.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270
@#$#@#$#@
NetLogo 6.1.1
@#$#@#$#@
setup repeat 200 [ go ]
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180
@#$#@#$#@
1
@#$#@#$#@
